package iot

import "log"

var idSeq int = 0

type IoTHandler struct {
  id int
}

func NewIoTHandler() *IoTHandler {
  t := &IoTHandler {
    id: idSeq,
  }
  idSeq += 1
  return t
}

func (self *IoTHandler) Handle(topic, payload string) {
  log.Printf("Handler IoT %d processing %s -> %s", self.id, topic, payload)
}


